1. Payment Links
Almara Pay Documentation
  • Introduction
  • Definitions
    • Data Types
    • Error Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
        POST
      • Find Payment Links By Id
        GET
      • Update Payment Link
        PUT
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Payment Links

Create Payment Link

POST
/v1/payment-link/create-payment-link
ShortCode: Unique identifier for the C2B
FirstName: First name of the customer making the payment link
LastName: Last name of the customer making the payment link
EmailAddress: Email Address of the customer
PhoneNumber: Phone Number of the customer
Description:Description of the payment link
IsAmountSpecified: Defines whether it is true or false
Amount:Amount that is being transacted.
RedirectionSite:The site where one will be redirected to after the payment link is successful

Request

Authorization
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/payment-link/create-payment-link' \
--header 'Content-Type: application/json' \
--data-raw '{
    "shortCode": "string",
    "firstName": "string",
    "lastName": "string",
    "emailAddress": "user@example.com",
    "phoneNumber": "string",
    "accountReference": "string",
    "paymentType": "string",
    "description": "string",
    "isAmountSpecified": true,
    "amount": 0,
    "currency": "string",
    "redirectionSite": "http://example.com"
}'
Response Response Example
{}
Modified at 2026-04-30 05:53:25
Previous
Overview
Next
Find Payment Links By Id
Built with